Verified Commit 3c1c5db6 authored by Wietse Kuipers's avatar Wietse Kuipers Committed by Sébastiaan Versteeg

Upgrade to RN 0.53

parent 0b6e9427
{
"presets": ["react-native"],
"plugins": ["transform-object-rest-spread", "transform-regenerator"]
env: {
test: {
"presets": ["react-native"],
"plugins": ["transform-object-rest-spread", "transform-regenerator"]
}
}
}
......@@ -50,7 +50,5 @@ suppress_comment=\\(.\\|\n\\)*\\$FlowIssue\\((\\(<VERSION>\\)? *\\(site=[a-z,_]*
suppress_comment=\\(.\\|\n\\)*\\$FlowFixedInNextDeploy
suppress_comment=\\(.\\|\n\\)*\\$FlowExpectedError
unsafe.enable_getters_and_setters=true
[version]
^0.61.0
^0.63.0
......@@ -1382,6 +1382,15 @@ connect@^2.8.3:
utils-merge "1.0.0"
vhost "~3.0.1"
connect@^3.6.5:
version "3.6.5"
resolved "https://registry.yarnpkg.com/connect/-/connect-3.6.5.tgz#fb8dde7ba0763877d0ec9df9dac0b4b40e72c7da"
dependencies:
debug "2.6.9"
finalhandler "1.0.6"
parseurl "~1.3.2"
utils-merge "1.0.1"
console-control-strings@^1.0.0, console-control-strings@~1.1.0:
version "1.1.0"
resolved "https://registry.yarnpkg.com/console-control-strings/-/console-control-strings-1.1.0.tgz#3d7cf4464db6446ea644bf4b39507f9851008e8e"
......@@ -1711,6 +1720,10 @@ emojify.js@^1.1.0:
version "1.1.0"
resolved "https://registry.yarnpkg.com/emojify.js/-/emojify.js-1.1.0.tgz#079fff223307c9007f570785e8e4935d5c398beb"
encodeurl@~1.0.1:
version "1.0.2"
resolved "https://registry.yarnpkg.com/encodeurl/-/encodeurl-1.0.2.tgz#ad3ff4c86ec2d029322f5a02c3a9a606c95b3f59"
encoding@^0.1.11:
version "0.1.12"
resolved "https://registry.yarnpkg.com/encoding/-/encoding-0.1.12.tgz#538b66f3ee62cd1ab51ec323829d1f9480c74beb"
......@@ -2034,6 +2047,10 @@ events@^1.1.0:
version "1.1.1"
resolved "https://registry.yarnpkg.com/events/-/events-1.1.1.tgz#9ebdb7635ad099c70dcc4c2a1f5004288e8bd924"
eventemitter3@^3.0.0:
version "3.0.1"
resolved "https://registry.yarnpkg.com/eventemitter3/-/eventemitter3-3.0.1.tgz#4ce66c3fc5b5a6b9f2245e359e1938f1ab10f960"
exec-sh@^0.2.0:
version "0.2.1"
resolved "https://registry.yarnpkg.com/exec-sh/-/exec-sh-0.2.1.tgz#163b98a6e89e6b65b47c2a28d215bc1f63989c38"
......@@ -2218,6 +2235,18 @@ finalhandler@0.4.0:
on-finished "~2.3.0"
unpipe "~1.0.0"
finalhandler@1.0.6:
version "1.0.6"
resolved "https://registry.yarnpkg.com/finalhandler/-/finalhandler-1.0.6.tgz#007aea33d1a4d3e42017f624848ad58d212f814f"
dependencies:
debug "2.6.9"
encodeurl "~1.0.1"
escape-html "~1.0.3"
on-finished "~2.3.0"
parseurl "~1.3.2"
statuses "~1.3.1"
unpipe "~1.0.0"
find-up@^1.0.0, find-up@^1.1.2:
version "1.1.2"
resolved "https://registry.yarnpkg.com/find-up/-/find-up-1.1.2.tgz#6b2e9822b1a2ce0a60ab64d610eccad53cb24d0f"
......@@ -3214,15 +3243,15 @@ jest-diff@^19.0.0:
jest-matcher-utils "^19.0.0"
pretty-format "^19.0.0"
jest-docblock@22.0.0:
version "22.0.0"
resolved "https://registry.yarnpkg.com/jest-docblock/-/jest-docblock-22.0.0.tgz#2e6a79360172b90bd2cd235a4832e38388b3b658"
jest-docblock@22.1.0:
version "22.1.0"
resolved "https://registry.yarnpkg.com/jest-docblock/-/jest-docblock-22.1.0.tgz#3fe5986d5444cbcb149746eb4b07c57c5a464dfd"
dependencies:
detect-newline "^2.1.0"
jest-docblock@^22.0.0:
version "22.0.6"
resolved "https://registry.yarnpkg.com/jest-docblock/-/jest-docblock-22.0.6.tgz#f187fb2c67eec0999e569d563092125283084f9e"
jest-docblock@^22.1.0:
version "22.2.0"
resolved "https://registry.yarnpkg.com/jest-docblock/-/jest-docblock-22.2.0.tgz#4d054eac354751e94a43a0ea2e2fe5c04cc61bbb"
dependencies:
detect-newline "^2.1.0"
......@@ -3245,14 +3274,14 @@ jest-file-exists@^19.0.0:
version "19.0.0"
resolved "https://registry.yarnpkg.com/jest-file-exists/-/jest-file-exists-19.0.0.tgz#cca2e587a11ec92e24cfeab3f8a94d657f3fceb8"
jest-haste-map@22.0.0:
version "22.0.0"
resolved "https://registry.yarnpkg.com/jest-haste-map/-/jest-haste-map-22.0.0.tgz#aa0730a16a07c287100c0c213c118dc9a4255d2d"
jest-haste-map@22.1.0:
version "22.1.0"
resolved "https://registry.yarnpkg.com/jest-haste-map/-/jest-haste-map-22.1.0.tgz#1174c6ff393f9818ebf1163710d8868b5370da2a"
dependencies:
fb-watchman "^2.0.0"
graceful-fs "^4.1.11"
jest-docblock "^22.0.0"
jest-worker "^22.0.0"
jest-docblock "^22.1.0"
jest-worker "^22.1.0"
micromatch "^2.3.11"
sane "^2.0.0"
......@@ -3375,15 +3404,15 @@ jest-validate@^19.0.2:
leven "^2.0.0"
pretty-format "^19.0.0"
jest-worker@22.0.0:
version "22.0.0"
resolved "https://registry.yarnpkg.com/jest-worker/-/jest-worker-22.0.0.tgz#4a276938a2077e1d72b6a2acd1d43826a9fd07f8"
jest-worker@22.1.0:
version "22.1.0"
resolved "https://registry.yarnpkg.com/jest-worker/-/jest-worker-22.1.0.tgz#0987832fe58fbdc205357f4c19b992446368cafb"
dependencies:
merge-stream "^1.0.1"
jest-worker@^22.0.0:
version "22.0.6"
resolved "https://registry.yarnpkg.com/jest-worker/-/jest-worker-22.0.6.tgz#1998ac7ab24a6eee4deddec76efe7742f2651504"
jest-worker@^22.1.0:
version "22.2.0"
resolved "https://registry.yarnpkg.com/jest-worker/-/jest-worker-22.2.0.tgz#d88d6ee176d6409f206cbbf7b485250793264262"
dependencies:
merge-stream "^1.0.1"
......@@ -3693,6 +3722,10 @@ lodash.templatesettings@^3.0.0:
lodash._reinterpolate "^3.0.0"
lodash.escape "^3.0.0"
lodash.throttle@^4.1.1:
version "4.1.1"
resolved "https://registry.yarnpkg.com/lodash.throttle/-/lodash.throttle-4.1.1.tgz#c23e91b710242ac70c37f1e1cda9274cc39bf2f4"
lodash@^3.1.0, lodash@^3.3.1, lodash@^3.5.0:
version "3.10.1"
resolved "https://registry.yarnpkg.com/lodash/-/lodash-3.10.1.tgz#5bf45e8e49ba4189e17d482789dfd15bd140b7b6"
......@@ -3775,19 +3808,21 @@ methods@~1.1.2:
version "1.1.2"
resolved "https://registry.yarnpkg.com/methods/-/methods-1.1.2.tgz#5529a4d67654134edcc5266656835b0f851afcee"
metro-core@0.24.3, metro-core@^0.24.1:
version "0.24.3"
resolved "https://registry.yarnpkg.com/metro-core/-/metro-core-0.24.3.tgz#be3bea5555759d11c63e110f30f555bcf936b784"
metro-core@0.24.7, metro-core@^0.24.3:
version "0.24.7"
resolved "https://registry.yarnpkg.com/metro-core/-/metro-core-0.24.7.tgz#89e4fbea5bad574eb971459ebfa74c028f52d278"
dependencies:
lodash.throttle "^4.1.1"
metro-source-map@0.24.3:
version "0.24.3"
resolved "https://registry.yarnpkg.com/metro-source-map/-/metro-source-map-0.24.3.tgz#46c6dea295b6b394cad0208c48e9cadb2f25e09b"
metro-source-map@0.24.7:
version "0.24.7"
resolved "https://registry.yarnpkg.com/metro-source-map/-/metro-source-map-0.24.7.tgz#b13d0ae6417c2a2cd3d521ae6cd898196748ec0b"
dependencies:
source-map "^0.5.6"
metro@^0.24.1:
version "0.24.3"
resolved "https://registry.yarnpkg.com/metro/-/metro-0.24.3.tgz#fc3064a022ff08ad18e4df3c568da9b0622f556c"
metro@^0.24.3:
version "0.24.7"
resolved "https://registry.yarnpkg.com/metro/-/metro-0.24.7.tgz#42cecdb236b702d16243812294f7d3b97c43378d"
dependencies:
absolute-path "^0.0.0"
async "^2.4.0"
......@@ -3801,34 +3836,37 @@ metro@^0.24.1:
babylon "^6.18.0"
chalk "^1.1.1"
concat-stream "^1.6.0"
connect "^2.8.3"
connect "^3.6.5"
core-js "^2.2.2"
debug "^2.2.0"
denodeify "^1.2.1"
eventemitter3 "^3.0.0"
fbjs "^0.8.14"
fs-extra "^1.0.0"
graceful-fs "^4.1.3"
image-size "^0.6.0"
jest-docblock "22.0.0"
jest-haste-map "22.0.0"
jest-worker "22.0.0"
jest-docblock "22.1.0"
jest-haste-map "22.1.0"
jest-worker "22.1.0"
json-stable-stringify "^1.0.1"
json5 "^0.4.0"
left-pad "^1.1.3"
lodash "^4.16.6"
lodash.throttle "^4.1.1"
merge-stream "^1.0.1"
metro-core "0.24.3"
metro-source-map "0.24.3"
metro-core "0.24.7"
metro-source-map "0.24.7"
mime-types "2.1.11"
mkdirp "^0.5.1"
request "^2.79.0"
rimraf "^2.5.4"
serialize-error "^2.1.0"
source-map "^0.5.6"
temp "0.8.3"
throat "^4.1.0"
uglify-es "^3.1.9"
wordwrap "^1.0.0"
write-file-atomic "^1.2.0"
ws "^1.1.0"
xpipe "^1.0.5"
yargs "^9.0.0"
......@@ -4590,9 +4628,9 @@ react-native-vector-icons@^4.0.1:
prop-types "^15.5.10"
yargs "^8.0.2"
react-native@0.52.0:
version "0.52.0"
resolved "https://registry.yarnpkg.com/react-native/-/react-native-0.52.0.tgz#9784663a2aa40b30c87d4c9c06ef26cf8d419d91"
react-native@0.53.0:
version "0.53.0"
resolved "https://registry.yarnpkg.com/react-native/-/react-native-0.53.0.tgz#d57b49b1683f3bbfffd098fd07f7be0ff9e9df74"
dependencies:
absolute-path "^0.0.0"
art "^0.10.0"
......@@ -4621,8 +4659,8 @@ react-native@0.52.0:
graceful-fs "^4.1.3"
inquirer "^3.0.6"
lodash "^4.16.6"
metro "^0.24.1"
metro-core "^0.24.1"
metro "^0.24.3"
metro-core "^0.24.3"
mime "^1.3.4"
minimist "^1.2.0"
mkdirp "^0.5.1"
......@@ -5111,6 +5149,10 @@ send@0.13.2:
range-parser "~1.0.3"
statuses "~1.2.1"
serialize-error@^2.1.0:
version "2.1.0"
resolved "https://registry.yarnpkg.com/serialize-error/-/serialize-error-2.1.0.tgz#50b679d5635cdf84667bdc8e59af4e5b81d5f60a"
serve-favicon@~2.3.0:
version "2.3.2"
resolved "https://registry.yarnpkg.com/serve-favicon/-/serve-favicon-2.3.2.tgz#dd419e268de012ab72b319d337f2105013f9381f"
......@@ -5301,6 +5343,10 @@ statuses@~1.2.1:
version "1.2.1"
resolved "https://registry.yarnpkg.com/statuses/-/statuses-1.2.1.tgz#dded45cc18256d51ed40aec142489d5c61026d28"
statuses@~1.3.1:
version "1.3.1"
resolved "https://registry.yarnpkg.com/statuses/-/statuses-1.3.1.tgz#faf51b9eb74aaef3b3acf4ad5f61abf24cb7b93e"
stream-buffers@~2.2.0:
version "2.2.0"
resolved "https://registry.yarnpkg.com/stream-buffers/-/stream-buffers-2.2.0.tgz#91d5f5130d1cef96dcfa7f726945188741d09ee4"
......@@ -5706,6 +5752,10 @@ utils-merge@1.0.0:
version "1.0.0"
resolved "https://registry.yarnpkg.com/utils-merge/-/utils-merge-1.0.0.tgz#0294fb922bb9375153541c4f7096231f287c8af8"
utils-merge@1.0.1:
version "1.0.1"
resolved "https://registry.yarnpkg.com/utils-merge/-/utils-merge-1.0.1.tgz#9f95710f50a267947b2ccc124741c1028427e713"
uuid@3.0.1:
version "3.0.1"
resolved "https://registry.yarnpkg.com/uuid/-/uuid-3.0.1.tgz#6544bba2dfda8c1cf17e629a3a305e2bb1fee6c1"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment